Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 123272 - GUI Lockup while renaming a project
GUI Lockup while renaming a project
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
PC Windows XP
: P1 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
release601_fixes_candidate1 release60...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 17:00 UTC by devon_c_miller
Modified: 2008-02-20 17:58 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Output from JStack (30.09 KB, text/plain)
2007-12-03 17:03 UTC, devon_c_miller
Details
var/log/messages.log (67.01 KB, text/plain)
2007-12-03 17:04 UTC, devon_c_miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description devon_c_miller 2007-12-03 17:00:00 UTC
I am running 6.0rc2.

I have two directories with the same project checked out in each. One that reflects the current production build; the
other, the current production build plus some patches. Both appear in the project list as commonlib. I attempted to
rename the patch directory project from 'commonlib' to 'commonlib (B)', but did not check "Also Rename Project Folder".
After clicking "Rename" the dialog displayed the progress bar which climbed to 80% at which point it stopped and the cpu
went idle. After 10 minutes, I ran jstack, killed NB and restarted.

I will attach Stack.txt and messages.log
Comment 1 devon_c_miller 2007-12-03 17:03:17 UTC
Created attachment 53785 [details]
Output from JStack
Comment 2 devon_c_miller 2007-12-03 17:04:05 UTC
Created attachment 53786 [details]
var/log/messages.log
Comment 3 devon_c_miller 2007-12-03 17:09:34 UTC
The var/log/messages.log indicates the process ran out of heap.
The value of netbeans_default_options was
    -J-server -J-Xss2m -J-Xms32m -J-XX:PermSize=32m
    -J-XX:MaxPermSize=200m -J-Xverify:none
    -J-Dapple.laf.useScreenMenuBar=true
    -J-XX:+UseConcMarkSweepGC -J-XX:+CMSClassUnloadingEnabled
    -J-XX:+CMSPermGenSweepingEnabled -J-Xmx768m
My machine has  1.5GB ram with a 1.5GB paging file.
Comment 4 Peter Pis 2007-12-04 09:01:14 UTC
Reassigning to "java" for evaluation.
Comment 6 Jiri Prox 2008-01-31 12:21:19 UTC
verified 

Product Version: NetBeans IDE Dev (Build 20080131063200)
Java: 1.6.0_05-ea; Java HotSpot(TM) Client VM 1.6.0_05-ea-b06
Comment 7 Karthikeyan Rajeswaran 2008-02-11 02:55:20 UTC
The fix has been ported into the release601_fixes branch.

Checking in ClassIndex.java;
/cvs/java/source/src/org/netbeans/api/java/source/Attic/ClassIndex.java,v  <--  ClassIndex.java
new revision: 1.10.6.1; previous revision: 1.10
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo